Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v2.xquery10.compiler
Class XQuery10BpelFunctions

    java.lang.Object
      org.apache.ode.bpel.compiler.v2.xquery10.compiler.XQuery10BpelFunctions

    public class XQuery10BpelFunctions

extends java.lang.Object

XQuery-Friendly definition of BPEL functions, which delegates calls to the JAXP-based function resolver

Field Summary
`static java.lang.String` | `USER_DATA_KEY_FUNCTION_RESOLVER`

Constructor Summary
`XQuery10BpelFunctions()`

Method Summary
`static java.lang.Object` | `doXslTransform(net.sf.saxon.expr.XPathContext context, java.lang.String xslUri, java.lang.Object sources)` WS-BPEL doXslTransform function
`static java.lang.Object` | `getLinkStatus(net.sf.saxon.expr.XPathContext context, java.lang.String linkName)` WS-BPEL getLinkStatus function
`static java.lang.Object` | `getVariableData(net.sf.saxon.expr.XPathContext context, java.lang.String variableName, java.lang.String partName, java.lang.String xpath)` WS-BPEL getVariableData function
`static java.lang.Object` | `getVariableProperty(net.sf.saxon.expr.XPathContext context, java.lang.String variableName, java.lang.String propertyName)` WS-BPEL getVariableProperty function

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_DATA_KEY_FUNCTION_RESOLVER

    public static final java.lang.String USER_DATA_KEY_FUNCTION_RESOLVER

See Also:
  Constant Field Values

Constructor Detail

### XQuery10BpelFunctions

    public XQuery10BpelFunctions()

Method Detail

### getVariableProperty

    public static java.lang.Object getVariableProperty(net.sf.saxon.expr.XPathContext context,
                                                       java.lang.String variableName,
                                                       java.lang.String propertyName)
                                                throws javax.xml.xpath.XPathFunctionException

  WS-BPEL getVariableProperty function

  Parameters:
    `context` - context
    `variableName` - variableName
    `propertyName` - propertyName
  Returns:
    type
  Throws:
    `javax.xml.xpath.XPathFunctionException` - XPathFunctionException

### getVariableData

    public static java.lang.Object getVariableData(net.sf.saxon.expr.XPathContext context,
                                                   java.lang.String variableName,
                                                   java.lang.String partName,
                                                   java.lang.String xpath)
                                            throws javax.xml.xpath.XPathFunctionException

  WS-BPEL getVariableData function

  Parameters:
    `context` - context
    `variableName` - variableName
    `partName` - partName
    `xpath` - xpath
  Returns:
    type
  Throws:
    `javax.xml.xpath.XPathFunctionException` - XPathFunctionException

### doXslTransform

    public static java.lang.Object doXslTransform(net.sf.saxon.expr.XPathContext context,
                                                  java.lang.String xslUri,
                                                  java.lang.Object sources)
                                           throws javax.xml.xpath.XPathFunctionException

  WS-BPEL doXslTransform function

  Parameters:
    `context` - context
    `xslUri` - xslUri
    `sources` - sources
  Returns:
    type
  Throws:
    `javax.xml.xpath.XPathFunctionException` - XPathFunctionException

### getLinkStatus

    public static java.lang.Object getLinkStatus(net.sf.saxon.expr.XPathContext context,
                                                 java.lang.String linkName)
                                          throws javax.xml.xpath.XPathFunctionException

  WS-BPEL getLinkStatus function

  Parameters:
    `context` - context
    `linkName` - linkName
  Returns:
    type
  Throws:
    `javax.xml.xpath.XPathFunctionException` - XPathFunctionException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD